# {{ ansible_managed }}

AllowGroups {{ chroot_allowgroups | default('sftpusers') }}

Protocol 2
HostKey {{ chroot_confdir }}/ssh_host_dsa_key
HostKey {{ chroot_confdir }}/ssh_host_ecdsa_key
HostKey {{ chroot_confdir }}/ssh_host_ed25519_key            

Port {{ chroot_port | default('1022') }}
PidFile /var/run/{{ chroot_name }}_sshd.pid
PermitRootLogin no
PasswordAuthentication yes
ChallengeResponseAuthentication no
GSSAPIAuthentication no
GSSAPICleanupCredentials no
LoginGraceTime 60
MACs hmac-sha2-512,hmac-sha2-256
Ciphers aes256-cbc,aes256-ctr
PrintMotd no
AuthorizedKeysFile .ssh/authorized_keys
UsePAM yes
#Banner /etc/chroot_ssh/ssh_banner

Subsystem       sftp    internal-sftp

ChrootDirectory {{ chroot_home }}/%u
ForceCommand internal-sftp
X11Forwarding no
AllowTcpForwarding no
PermitTunnel no
